Groovy Documentation

## Package org.codehaus.groovy.grails.cli

Class Summary
CommandLineHelper | Utility methods for use on the command line, including method to accept user input etc.
GenerateStubsTask | Need to spin our own GenerateStubsTask because Groovy's one stupidly tries to compile properties files and anything that doesn't end with Java.
GrailsScriptRunner | Handles Grails command line interface for running scripts.
ScriptNameResolver | @author Andres Almiray

Exception Summary
ScriptExitException | Exception thrown when a script exits, but Grails has disabled the system exit.
ScriptNotFoundException | Exception thrown when Grails is asked to execute a script that it can't find.

Groovy Documentation